# For all meshes found in the selected hierarchies this script set octBakGr to 1 and set randColorSeed to a number based on selection order.
# This is useful to make the random color node works with non-instance meshes.


import maya.cmds as cmd

meshes = cmd.listRelatives(cmd.ls(sl= True, visible=True) , path=True, type="mesh", allDescendents=True, ni=True)

if meshes:
	i = 0
	for mesh in meshes:
		cmd.setAttr( mesh+".octBakGrId", 1 )
		cmd.setAttr( mesh+".octRandomSeed", i)
		i=i+1